## org.apache.ivy.core.search
Class ModuleEntry

    java.lang.Object
      org.apache.ivy.core.search.ModuleEntry

    public class ModuleEntry

extends java.lang.Object

Constructor Summary
`ModuleEntry(OrganisationEntry org, java.lang.String name)`

Method Summary
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`OrganisationEntry` `getOrganisationEntry()`
`DependencyResolver` `getResolver()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleEntry

    public ModuleEntry(OrganisationEntry org,
                       java.lang.String name)

Method Detail

### getOrganisation

    public java.lang.String getOrganisation()

### getResolver

    public DependencyResolver getResolver()

### getModule

    public java.lang.String getModule()

### getOrganisationEntry

    public OrganisationEntry getOrganisationEntry()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`